From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/gspell/
Date: Wed, 15 Jun 2022 16:23:28 +0000 (UTC) [thread overview]
Message-ID: <1655310199.57cf0c5b3b9537b39740efd91020ed8aa41053e1.mattst88@gentoo> (raw)
commit: 57cf0c5b3b9537b39740efd91020ed8aa41053e1
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 15 16:21:02 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Jun 15 16:23:19 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57cf0c5b
app-text/gspell: Version bump to 1.11.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-text/gspell/Manifest | 1 +
app-text/gspell/gspell-1.11.1.ebuild | 61 ++++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/app-text/gspell/Manifest b/app-text/gspell/Manifest
index 5871868b19be..1a928a695443 100644
--- a/app-text/gspell/Manifest
+++ b/app-text/gspell/Manifest
@@ -1 +1,2 @@
DIST gspell-1.10.0.tar.xz 432484 BLAKE2B aee73d1745720d7c5bef1264ca717866321696953a8c0f2a538e7c8ea2133b8c666b1521280fd6c4f1a9333f178b2559bc21e462f94f7e217480bd3cb5068068 SHA512 8c776f2ea388ab145bc53de112ddc8e737c65ce7be0518edfe695f3e677a89c57a4826eb0fcdc39c5023bd1839ebd60a6a25eb8ac8e3363d0c406994828b743f
+DIST gspell-1.11.1.tar.xz 432216 BLAKE2B aa6e6873fcb9cc7d3e7e05fe0abdd3b2e271c0483b7dc4d1c28179b87cea66b0fef86aa6ca94b7a571447ab70ac4ec55ac04b4b1f78415bea2db6c4f8fbc69ce SHA512 df13ef76340b3f644b517f05941c4a11f90212511229a4644cda0d605af428222bf7dd15dbdf51da80e07b7689249728f5739020349226b78d1990707f9706d9
diff --git a/app-text/gspell/gspell-1.11.1.ebuild b/app-text/gspell/gspell-1.11.1.ebuild
new file mode 100644
index 000000000000..41d559da553d
--- /dev/null
+++ b/app-text/gspell/gspell-1.11.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2 vala virtualx
+
+DESCRIPTION="Spell check library for GTK+ applications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gspell"
+
+LICENSE="LGPL-2.1+"
+SLOT="0/2" # subslot = libgspell-1 soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="+introspection +vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+ >=app-text/enchant-2.1.3:2
+ >=dev-libs/glib-2.44:2
+ >=x11-libs/gtk+-3.20:3[introspection?]
+ dev-libs/icu:=
+ introspection? ( >=dev-libs/gobject-introspection-1.42.0:= )
+"
+DEPEND="${RDEPEND}
+ test? ( sys-apps/dbus )
+"
+BDEPEND="
+ dev-libs/libxml2:2
+ dev-util/glib-utils
+ >=dev-util/gtk-doc-am-1.25
+ >=sys-devel/gettext-0.19.6
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+ test? (
+ app-text/enchant:2[hunspell]
+ || (
+ app-dicts/myspell-en[l10n_en(+)]
+ app-dicts/myspell-en[l10n_en-US(+)]
+ )
+ )
+"
+# Tests require a en_US dictionary and fail with deprecated enchant aspell backend:
+# So enchant[hunspell] + myspell-en ensure they pass (hunspell is ordered before aspell),
+# however a different backend like hspell or nuspell + their en_US dict might be fine too,
+# but we don't support them at this time (2020-04-12) in enchant:2
+
+src_prepare() {
+ use vala && vala_setup
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_enable introspection) \
+ $(use_enable vala)
+}
+
+src_test() {
+ virtx dbus-run-session emake check
+}
next reply other threads:[~2022-06-15 16:23 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-15 16:23 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-09-01 16:07 [gentoo-commits] repo/gentoo:master commit in: app-text/gspell/ Arthur Zamarin
2023-08-29 18:02 Arthur Zamarin
2023-08-29 17:49 Arthur Zamarin
2023-07-29 9:39 Pacho Ramos
2023-06-19 15:30 Matt Turner
2023-06-03 19:45 Arthur Zamarin
2023-06-03 18:01 Arthur Zamarin
2023-06-03 2:30 Sam James
2023-06-03 2:29 Sam James
2023-06-03 2:29 Sam James
2023-06-03 2:08 Sam James
2023-06-03 1:57 Sam James
2023-05-02 14:54 Matt Turner
2023-05-01 7:22 Arthur Zamarin
2023-04-19 8:44 Arthur Zamarin
2023-03-09 1:09 Sam James
2023-01-03 2:53 WANG Xuerui
2022-10-03 3:03 Matt Turner
2022-08-15 19:13 Arthur Zamarin
2022-04-19 17:57 Matt Turner
2021-12-13 22:57 Sam James
2021-12-13 22:57 Sam James
2021-12-04 17:43 Arthur Zamarin
2021-11-19 11:39 Arthur Zamarin
2021-04-29 3:22 Matt Turner
2020-12-19 15:14 Mart Raudsepp
2020-12-19 15:14 Mart Raudsepp
2020-04-13 16:12 Agostino Sarubbo
2020-04-13 14:48 Agostino Sarubbo
2020-04-12 21:52 Mart Raudsepp
2020-04-12 21:52 Mart Raudsepp
2020-02-05 13:06 Mart Raudsepp
2020-02-05 9:32 Mart Raudsepp
2020-02-05 9:32 Mart Raudsepp
2020-02-05 9:32 Mart Raudsepp
2020-02-02 20:13 Mart Raudsepp
2019-12-29 14:45 Mart Raudsepp
2019-12-29 14:45 Mart Raudsepp
2019-10-21 19:51 Matt Turner
2019-04-27 16:33 Mart Raudsepp
2019-04-25 13:38 Lars Wendler
2018-10-06 22:37 Mart Raudsepp
2018-09-16 19:19 Matt Turner
2018-08-02 7:06 Mart Raudsepp
2018-03-01 15:41 Michał Górny
2018-01-07 22:07 Sergei Trofimovich
2017-12-20 20:23 Mart Raudsepp
2017-12-19 19:14 Thomas Deutschmann
2017-08-19 23:31 Gilles Dartiguelongue
2017-08-12 23:15 Gilles Dartiguelongue
2017-08-09 20:52 Sergei Trofimovich
2017-07-14 8:52 Mart Raudsepp
2017-07-14 8:52 Mart Raudsepp
2017-03-23 3:23 Mart Raudsepp
2017-03-23 3:23 Mart Raudsepp
2017-02-15 17:28 Mart Raudsepp
2017-01-04 22:37 Gilles Dartiguelongue
2016-11-13 0:30 Gilles Dartiguelongue
2016-09-17 12:41 Gilles Dartiguelongue
2016-09-17 12:39 Gilles Dartiguelongue
2016-09-17 12:39 Gilles Dartiguelongue
2016-08-14 19:33 Markus Meier
2016-07-30 10:50 Pacho Ramos
2016-07-30 10:50 Pacho Ramos
2016-07-04 13:23 Tobias Klausmann
2016-06-28 3:47 Alexandre Rostovtsev
2016-06-28 3:47 Alexandre Rostovtsev
2016-01-27 22:56 Gilles Dartiguelongue
2015-12-13 22:10 Gilles Dartiguelongue
2015-11-19 19:23 Pacho Ramos
2015-11-19 19:23 Pacho Ramos
2015-11-09 12:01 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1655310199.57cf0c5b3b9537b39740efd91020ed8aa41053e1.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox